Browse Source

Convert oslo.service to using stestr

With the upgrade to oslotest 3.6.0 [0], testr no longer works [1].
This is because oslotest no longer requires testr and we don't depend
on it directly in oslo.service. Let's switch to using stestr, too!
Everyone's doing it...
This patch follows [2] in oslo.policy

[0] d5a3c58f71
[1] 897823fbd6
[2] https://review.openstack.org/#/c/579295/

Change-Id: Ia82a17fe26b41730c8c323819591523d66a8cb36
changes/20/579420/10
Vu Cong Tuan 3 years ago
parent
commit
ebad161c89
6 changed files with 8 additions and 12 deletions
  1. +1
    -2
      .gitignore
  2. +3
    -0
      .stestr.conf
  3. +0
    -7
      .testr.conf
  4. +1
    -1
      lower-constraints.txt
  5. +2
    -1
      test-requirements.txt
  6. +1
    -1
      tox.ini

+ 1
- 2
.gitignore View File

@ -25,8 +25,7 @@ pip-log.txt
.coverage
cover
.tox
nosetests.xml
.testrepository
.stestr
# Translations
*.mo


+ 3
- 0
.stestr.conf View File

@ -0,0 +1,3 @@
[DEFAULT]
test_path=./oslo_service/tests
top_path=./

+ 0
- 7
.testr.conf View File

@ -1,7 +0,0 @@
[DEFAULT]
test_command=OS_STDOUT_CAPTURE=${OS_STDOUT_CAPTURE:-1} \
OS_STDERR_CAPTURE=${OS_STDERR_CAPTURE:-1} \
OS_TEST_TIMEOUT=${OS_TEST_TIMEOUT:-60} \
${PYTHON:-python} -m subunit.run discover -t ./ ./oslo_service $LISTOPT $IDOPTION
test_id_option=--load-list $IDFILE
test_list_option=--list

+ 1
- 1
lower-constraints.txt View File

@ -65,8 +65,8 @@ smmap==0.9.0
snowballstemmer==1.2.1
Sphinx==1.6.2
sphinxcontrib-websupport==1.0.1
stestr==2.0.0
stevedore==1.20.0
testrepository==0.0.18
testtools==2.2.0
traceback2==1.4.0
unittest2==1.1.0


+ 2
- 1
test-requirements.txt View File

@ -6,7 +6,8 @@ fixtures>=3.0.0 # Apache-2.0/BSD
hacking!=0.13.0,<0.14,>=0.12.0 # Apache-2.0
mock>=2.0.0 # BSD
oslotest>=3.2.0 # Apache-2.0
requests
requests>=2.14.2 # Apache-2.0
stestr>=2.0.0 # Apache-2.0
# These are needed for docs generation/testing
openstackdocstheme>=1.18.1 # Apache-2.0


+ 1
- 1
tox.ini View File

@ -15,7 +15,7 @@ deps =
whitelist_externals = find
commands =
find . -type f -name "*.py[co]" -delete
python setup.py testr --slowest --testr-args='{posargs}'
stestr run --slowest {posargs}
[testenv:pep8]
basepython = python3


Loading…
Cancel
Save